# Publishing new version

```
./delete-docker.sh
```

```
./build-docker.sh
```

```
./build-and-push.sh
```

# On the client side - fetch latest images

## remote-docker-compose.yml

Is the docker-compose.yml file that is used to deploy the application on a remote server.

### Remove the old images

```
docker image rm dockreg.ex.umbach.dev/jnx-admin-dashboard-server dockreg.ex.umbach.dev/jnx-admin-dashboard-proxy dockreg.ex.umbach.dev/jnx-log-manager-server
```

### Pull the new images

```
docker compose up
```

## Script used last time

delete.sh

```
docker compose down
docker image rm dockreg.ex.umbach.dev/jnx-admin-dashboard-server dockreg.ex.umbach.dev/jnx-admin-dashboard-proxy dockreg.ex.umbach.dev/jnx-log-manager-server
docker volume rm tet2_admin_dashboard_server_data tet2_log_manager_data
```

build.sh

```
docker compose up
```
