# only allow to run this script as root
if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi

original_dir=$(pwd)
start_time=$(date +%s)

###
# admin-dashboard-web
###

cd ../admin-dashboard/admin-dashboard-web/

./build-docker.sh

cd "$original_dir"

###
# admin-dashboard-backend
###

cd ../admin-dashboard/admin-dashboard-backend/

./build-docker.sh

cd "$original_dir"

###
# robot-control-manager
###

cd "../robot-control-manager/"

./build-docker.sh

cd "$original_dir"

###
# log-manager
###

cd "../log-manager/"

./build-docker.sh

cd "$original_dir"

###
# telegram-bot-manager
###

cd "../telegram-bot-manager/"

./build-docker.sh

cd "$original_dir"

###
# END
###

end_time=$(date +%s)

# Calculate the duration in seconds
duration=$((end_time - start_time))

# Output the duration
echo "Script duration: $duration seconds"