#docker compose down

# rm images
docker image rm jnx-admin-dashboard-proxy
docker image rm jnx-admin-dashboard-server

# build images
docker compose build jnx-admin-dashboard-server
docker compose build jnx-admin-dashboard-proxy

# tag images
docker image tag jnx-admin-dashboard-server:latest dockreg.ex.umbach.dev/jnx-admin-dashboard-server:latest
docker image tag jnx-admin-dashboard-proxy:latest dockreg.ex.umbach.dev/jnx-admin-dashboard-proxy:latest

# push to self-hosted docker registry
docker push dockreg.ex.umbach.dev/jnx-admin-dashboard-server
docker push dockreg.ex.umbach.dev/jnx-admin-dashboard-proxy