ORANGE='\033[0;33m' # Orange
GREEN='\033[0;32m'  # Green
NC='\033[0m'        # No color (reseting)

# build backend go build
echo -e "${ORANGE}Starting go build${NC}"
cd ./admin-dashboard-backend
go build main.go
cd ..
echo -e "${GREEN}Go build finished${NC}"

# build static web build
echo -e "${ORANGE}Starting static web build${NC}"
cd ./admin-dashboard-web
npm run build
cd ..
echo -e "${GREEN}Static web build finished${NC}"

# create docker
#echo -e "${ORANGE}Starting docker creation${NC}"
#docker compose up

